function PlotMeasIn(MeasIn)
% -------------------------------------------------------------------------
% PlotMeasIn.m
%
% Generate plot of true measurand. 
% -------------------------------------------------------------------------
% Input
% MeasIn                 Structure defining true measurand:
%                        t         Time values
%                                  Dimension: m1 x 1
%                        y         Measurand values 
%                                  Dimension: m1 x 1
%                        name      Measurand name
%                                  Dimension: 1 x 1 cell
%                        yStr      Label for plot axis
%                                  Dimension: string
% -------------------------------------------------------------------------

% Plot true measurand. 
%
  t = MeasIn.t;
  figure
  plot(t, MeasIn.y);
  ax    = axis; 
  ax(2) = max(t); 
  axis(ax);
  xlabel('Time/s')
  titleStr = ['True ', lower(MeasIn.name{1})];
  ylabel(MeasIn.yStr)
  title(titleStr)
% 
% -------------------------------------------------------------------------
% End PlotMeasIn.m
% -------------------------------------------------------------------------
% Data Fusion Software (Release 1)
%
% Authors: T J Esward, P M Harris, C E Matthews, H D Minh and I M Smith
% National Physical Laboratory, UK
% 
% Date: December 2011
% 
% (c) Queen's Printer and Controller of HMSO, 2011
%--------------------------------------------------------------------------